Status: Resolved Priority: Must have
Author: Bastian Waidelich Category:
Updated: 2012-07-30 Due date:
Subject: TransportFactory does not set all options
Description

The TransportFactory currently uses method_exists() to find out whether an option is settable on the factory.
Unfortunately this does not work because SwiftMailer uses magic methods to set some of those.
It's currently not possible to set username and password for the SmtpTransport!

Associated revisions
Revision 014991a1 - 2012-07-27 17:15 - Bastian Waidelich

[BUGFIX] TransportFactory does not set all options

The TransportFactory currently uses method_exists() to find out
whether an option is settable on the factory.
Unfortunately this does not work because SwiftMailer uses magic
methods to set some of those.

This change uses FLOW3s reflection service to figure out settable
options.

Change-Id: Icff75f342b90a116c13294b10a8f36fa0e728592
Fixes: #39337

History
#1 - 2012-07-27 17:15 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13213

#2 - 2012-07-30 08:30 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:014991a139322cab6865931a4b5f56030ad79971.
